| libimobiledevice 1.3.0-dirty API Documentation - Return to Homepage

- About
- Structs
- Files
- Related Pages

- File List
- Globals

Macros | Typedefs | Enumerations | Functions
diagnostics_relay.h File Reference

## Description

Request iOS diagnostic information from device.

## Macros
#define | DIAGNOSTICS_RELAY_SERVICE_NAME "com.apple.mobile.diagnostics_relay"
| Service identifier passed to lockdownd_start_service() to start the diagnostics relay service.
#define | DIAGNOSTICS_RELAY_REQUEST_TYPE_ALL "All"
| Query all available diagnostics.
#define | DIAGNOSTICS_RELAY_REQUEST_TYPE_WIFI "WiFi"
| Query WiFi diagnostics.
#define | DIAGNOSTICS_RELAY_REQUEST_TYPE_GAS_GAUGE "GasGauge"
| Query GasGauge diagnostics.
#define | DIAGNOSTICS_RELAY_REQUEST_TYPE_NAND "NAND"
| Query NAND diagnostics.

## Typedefs
typedef diagnostics_relay_client_private * | diagnostics_relay_client_t
| The client handle.

## Enumerations
enum | diagnostics_relay_error_t { DIAGNOSTICS_RELAY_E_SUCCESS = 0 , DIAGNOSTICS_RELAY_E_INVALID_ARG = -1 , DIAGNOSTICS_RELAY_E_PLIST_ERROR = -2 , DIAGNOSTICS_RELAY_E_MUX_ERROR = -3 , DIAGNOSTICS_RELAY_E_UNKNOWN_REQUEST = -4 , DIAGNOSTICS_RELAY_E_UNKNOWN_ERROR = -256 }
| Error Codes.
enum | diagnostics_relay_action_t { DIAGNOSTICS_RELAY_ACTION_FLAG_WAIT_FOR_DISCONNECT = 1 << 1 , DIAGNOSTICS_RELAY_ACTION_FLAG_DISPLAY_PASS = 1 << 2 , DIAGNOSTICS_RELAY_ACTION_FLAG_DISPLAY_FAIL = 1 << 3 }
| Action type for diagnostics_relay_restart and diagnostics_relay_shutdown.

## Functions
diagnostics_relay_error_t | diagnostics_relay_client_new (idevice_t device, lockdownd_service_descriptor_t service, diagnostics_relay_client_t *client)
| Connects to the diagnostics_relay service on the specified device.
diagnostics_relay_error_t | diagnostics_relay_client_start_service (idevice_t device, diagnostics_relay_client_t *client, const char *label)
| Starts a new diagnostics_relay service on the specified device and connects to it.
diagnostics_relay_error_t | diagnostics_relay_client_free (diagnostics_relay_client_t client)
| Disconnects a diagnostics_relay client from the device and frees up the diagnostics_relay client data.
diagnostics_relay_error_t | diagnostics_relay_goodbye (diagnostics_relay_client_t client)
| Sends the Goodbye request signaling the end of communication.
diagnostics_relay_error_t | diagnostics_relay_sleep (diagnostics_relay_client_t client)
| Puts the device into deep sleep mode and disconnects from host.
diagnostics_relay_error_t | diagnostics_relay_restart (diagnostics_relay_client_t client, diagnostics_relay_action_t flags)
| Restart the device and optionally show a user notification.
diagnostics_relay_error_t | diagnostics_relay_shutdown (diagnostics_relay_client_t client, diagnostics_relay_action_t flags)
| Shutdown of the device and optionally show a user notification.
diagnostics_relay_error_t | diagnostics_relay_request_diagnostics (diagnostics_relay_client_t client, const char *type, plist_t *diagnostics)
| Request diagnostics information for a given type.
diagnostics_relay_error_t | diagnostics_relay_query_mobilegestalt (diagnostics_relay_client_t client, plist_t keys, plist_t *result)
| Query one or multiple MobileGestalt keys.
diagnostics_relay_error_t | diagnostics_relay_query_ioregistry_entry (diagnostics_relay_client_t client, const char *entry_name, const char *entry_class, plist_t *result)
| Query an IORegistry entry of a given class.
diagnostics_relay_error_t | diagnostics_relay_query_ioregistry_plane (diagnostics_relay_client_t client, const char *plane, plist_t *result)
| Query an IORegistry plane.